<?php


namespace Shop\Application\Shopping\CreateProviderOrdersFromCustomerOrderItem;


use Shop\Domain\ProviderOrder\ProviderOrderCollection;

class Result
{

    protected $providerOrderCollection;

    public function __construct(ProviderOrderCollection $collection)
    {
        $this->providerOrderCollection = $collection;
    }

    /**
     * @return ProviderOrderCollection
     */
    public function getProviderOrderCollection(): ProviderOrderCollection
    {
        return $this->providerOrderCollection;
    }

    /**
     * @param ProviderOrderCollection $providerOrderCollection
     * @return Result
     */
    public function setProviderOrderCollection(ProviderOrderCollection $providerOrderCollection): Result
    {
        $this->providerOrderCollection = $providerOrderCollection;
        return $this;
    }



}